# $Revision: 1.10 $, $Date: 2002/05/21 20:51:35 $
Summary:	The Blue Mago Quest - pacman style 3D game
Summary(pl):	The Blue Mago Quest - gra 3D w stylu pacman
Name:		mangoquest
Version:	0.6.3a
Release:	3
License:	GPL
Group:		X11/Applications/Games
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	mangopeeler.desktop
Source3:	%{name}.png
URL:		http://mangoquest.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel >= 2.0
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6

%description
The Blue Mango Quest is a 3D arcade game that uses OpenGL and SDL. The
goal is to extend the pacman-style gameplay in several ways. You see
what the main character sees (like in traditional FPS games), and
you'll find about 20 items (bonus and malus) that will give you a lot
of fun. An easy to use yet powerfull 2D level editor is also provided.

%description -l pl
The Blue Mango Quest to trjwymiarowa gra zrcznociowa wykorzystujca
OpenGL i SDL. Jej celem jest wielostronne rozszerzenie gry w stylu
pacmana. Widzisz to co widzi gwny bohater (jak w tradycyjnych grach
FPS), i moesz znale okoo 20 przedmiotw (bonusw itp.) ktre
sprawi duo frajdy. Dostpny jest take edytor poziomw.

%prep
%setup -q

%build
rm -f missing acinclude.m4
aclocal
autoconf
automake -a -c -f
%configure \
	LDFLAGS="%{rpmldflags} -L%{_libdir}" \
	CPPFLAGS="-I%{_includedir}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Arcade,%{_pixmapsdir}}

%{__make} install DESTDIR="$RPM_BUILD_ROOT"

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade/%{name}.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade/mangopeeler.desktop
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -rf %{_datadir}/%{name}/doc

mv -f mangopeeler/ChangeLog ChangeLog-mangopeeler

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS TODO AUTHORS ChangeLog ChangeLog-mangopeeler doc/manuals
%attr(755,root,root) %{_bindir}/*
%{_mandir}goquest
%{_mandir}gopeeler
%{_applnkdir}/Games/Arcade/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mangoquest.spec,v $
Revision 1.10  2002/05/21 20:51:35  kloczek
- release 3,
- rebuild against SDL_ttf >= 2.0 and use new %doc packing infrastructure.

Revision 1.9  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/23 03:44:47  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/07 11:37:34  qboosh
- release 2: fixed awful pl spelling mistakes

Revision 1.4  2001/09/05 22:56:53  kloczek
- fixes in %install for proper insytall dektop files and png icon.

Revision 1.3  2001/09/05 19:19:49  kloczek
- regenerate ac/am files (before this remove acinclude.m4 with private
  sdl.m4 copy),
- moved desktop files to Games/Arcade,
- added png Icon for desktop files.

Revision 1.2  2001/09/05 18:11:47  jajcus
- Version: 0.6.3a

Revision 1.1  2001/08/07 09:43:09  jajcus
- new spec; 3D pacman-like game

Revision 1.2  2001/08/04 17:06:13  jajcus
- BuildRequires: plib >= 1.4.0

Revision 1.1  2001/08/04 17:05:29  jajcus
- new spec
